# FFmpegKit iOS / macOS / tvOS API: FilterGraph Struct Reference

FilterGraph Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Fields

int | index
const char * | graph_desc
AVFilterGraph * | graph
int | reconfiguration
InputFilter ** | inputs
int | nb_inputs
OutputFilter ** | outputs
int | nb_outputs

## Detailed Description

Definition at line 311 of file fftools_ffmpeg.h.

## Field Documentation

## graph

AVFilterGraph* FilterGraph::graph

Definition at line 315 of file fftools_ffmpeg.h.

## graph_desc

const char* FilterGraph::graph_desc

Definition at line 313 of file fftools_ffmpeg.h.

## index

int FilterGraph::index

Definition at line 312 of file fftools_ffmpeg.h.

## inputs

InputFilter** FilterGraph::inputs

Definition at line 318 of file fftools_ffmpeg.h.

## nb_inputs

int FilterGraph::nb_inputs

Definition at line 319 of file fftools_ffmpeg.h.

## nb_outputs

int FilterGraph::nb_outputs

Definition at line 321 of file fftools_ffmpeg.h.

## outputs

OutputFilter** FilterGraph::outputs

Definition at line 320 of file fftools_ffmpeg.h.

## reconfiguration

int FilterGraph::reconfiguration

Definition at line 316 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg.h